com.gisgraphy.webapp.action

## Class EditAlternateNameAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.BaseAction
    - - com.gisgraphy.webapp.action.EditAlternateNameAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.Preparable, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class EditAlternateNameAction
      extends BaseAction
      implements com.opensymphony.xwork2.Preparable

  Edit AlternateName action (crud) specially in ajax
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditAlternateNameAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `doDelete()`
    `String` | `doPersist()`
    `AlternateName` | `getAlternatename()`
    `String` | `getErrorMessage()`
    `Long` | `getGisFeatureId()`
    `Long` | `getId()`
    `String` | `getStackTrace()`
    `String` | `persist()`
    `void` | `prepare()`
    `void` | `setAlternatename(AlternateName alternateName)`
    `void` | `setAlternateNameDao(IAlternateNameDao alternateNameDao)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setGisFeatureDao(IGisFeatureDao gisFeatureDao)`
    `void` | `setGisFeatureId(Long gisFeatureId)`
    `void` | `setId(Long id)`
    `void` | `setInternationalisationService(IInternationalisationService internationalisationService)`
    `void` | `setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)`
    `void` | `setStackTrace(String stackTrace)`
    `void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)`

    - ### Methods inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditAlternateNameAction

          public EditAlternateNameAction()

  - ### Method Detail

    - #### prepare

          public void prepare()

      Specified by:
        `prepare` in interface `com.opensymphony.xwork2.Preparable`

    - #### persist

          public String persist()

    - #### doPersist

          public String doPersist()

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### doDelete

          public String doDelete()

    - #### getErrorMessage

          public String getErrorMessage()

      Returns:
        the errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

      Parameters:
        `errorMessage` - the errorMessage to set

    - #### getStackTrace

          public String getStackTrace()

      Returns:
        the stackTrace

    - #### setStackTrace

          public void setStackTrace(String stackTrace)

      Parameters:
        `stackTrace` - the stackTrace to set

    - #### getAlternatename

          public AlternateName getAlternatename()

    - #### setAlternatename

          public void setAlternatename(AlternateName alternateName)

    - #### getGisFeatureId

          public Long getGisFeatureId()

    - #### setGisFeatureId

          public void setGisFeatureId(Long gisFeatureId)

    - #### setGisFeatureDao

          public void setGisFeatureDao(IGisFeatureDao gisFeatureDao)

    - #### setTransactionManager

          public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### setInternationalisationService

          public void setInternationalisationService(IInternationalisationService internationalisationService)

    - #### setSolRSynchroniser

          public void setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)

    - #### setAlternateNameDao

          public void setAlternateNameDao(IAlternateNameDao alternateNameDao)

Copyright © 2015. All rights reserved.